%define oname  pybluez

Name:           python-pybluez
Version:        0.22
Release:        %mkrel 6
Summary:        Python wrappers around system Bluetooth resources
License:        GPLv2
Group:          Development/Python
URL:            https://pypi.org/project/PyBluez/
Source0:        https://github.com/karulis/pybluez/archive/%{version}/%{oname}-%{version}.tar.gz
BuildRequires:  pkgconfig(bluez)

%description
PyBluez is an effort to create python wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%package -n     python3-%{oname}
Summary:        Python 3 wrappers around system Bluetooth resources
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
PyBluez is an effort to create python 3 wrappers around system Bluetooth
resources to allow Python developers to easily and quickly create
Bluetooth applications.

%prep
%setup -q -n %{oname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{oname}
%doc CHANGELOG README
%{python3_sitearch}/*.egg-info
%{python3_sitearch}/bluetooth/


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.22-6.mga8
+ Revision: 1535599
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.22-5.mga8
+ Revision: 1452489
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.22-4.mga7
+ Revision: 1353850
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.22-3.mga7
+ Revision: 1300557
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Wed Mar 21 2018 kekepower <kekepower> 0.22-2.mga7
+ Revision: 1210939
- Use new python_provide

* Sun Oct 08 2017 daviddavid <daviddavid> 0.22-1.mga7
+ Revision: 1170071
- new version: 0.22
- add the python 3 package
- rename python-pybluez to python2-pybluez
- update URL and Source URL

* Mon Feb 08 2016 umeabot <umeabot> 0.18-13.mga6
+ Revision: 944984
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.18-12.mga5
+ Revision: 749420
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.18-11.mga5
+ Revision: 729407
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.18-10.mga5
+ Revision: 688238
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.18-8.mga4
+ Revision: 543998
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.18-7.mga4
+ Revision: 499146
- Rebuild to add different pythonegg provides for python 2 and 3
+ philippem <philippem>
- remove PYTHONDONTWRITEBYTECODE=

* Sun Jan 13 2013 umeabot <umeabot> 0.18-5.mga3
+ Revision: 379298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 02 2012 fwang <fwang> 0.18-4.mga2
+ Revision: 189615
- update url

* Tue Mar 29 2011 philippem <philippem> 0.18-4.mga1
+ Revision: 78767
- imported package python-pybluez


* Tue Mar 29 2011 Philippe Makowski <makowski.mageia@gmail.com> 0.18-4mga1
- import from Mandriva

* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 0.18-3mdv2011.0
+ Revision: 590596
- rebuild for python 2.7

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 0.18-2mdv2010.1
+ Revision: 486803
- rebuild
- Update to new version 0.18
- Update URL

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.2-6mdv2010.0
+ Revision: 442411
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.9.2-5mdv2009.1
+ Revision: 320162
- rebuild for new python

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.9.2-4mdv2009.0
+ Revision: 259770
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.9.2-3mdv2009.0
+ Revision: 247596
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.2-1mdv2008.1
+ Revision: 136456
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 29 2006 Olivier Blin <oblin@mandriva.com> 0.9.2-1mdv2007.0
+ Revision: 102576
- buildrequires bluez-devel
- buildrequires python-devel
- initial pybluez release
- Create python-pybluez

